NetworkInterfaceTuningOverEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.net.tuning
Class NetworkInterfaceTuningOverEvent

    java.lang.Object
      java.util.EventObject
          org.davic.net.tuning.NetworkInterfaceEvent
              org.davic.net.tuning.NetworkInterfaceTuningOverEvent

All Implemented Interfaces:
  Serializable

    public class NetworkInterfaceTuningOverEvent

extends NetworkInterfaceEvent

This event signals that a particular NetworkInterface has completed its tuning action.

See Also:
  Serialized Form

Field Summary
`static int` | `FAILED` Constant for the status code that indicates that the tuning action has failed.
`static int` | `SUCCEEDED` Constant for the status code that indicates that the Network Interface has been tuned to a new transport stream.

Constructor Summary
`NetworkInterfaceTuningOverEvent(Object networkInterface, int status)` Constructor for the event

Method Summary
`int` | `getStatus()` Returns the status code of the tuning action

Methods inherited from class org.davic.net.tuning.NetworkInterfaceEvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCEEDED

    public static final int SUCCEEDED

  Constant for the status code that indicates that the Network Interface has been tuned to a new transport stream.

  See Also:
    Constant Field Values

### FAILED

    public static final int FAILED

  Constant for the status code that indicates that the tuning action has failed.

  See Also:
    Constant Field Values

Constructor Detail

### NetworkInterfaceTuningOverEvent

    public NetworkInterfaceTuningOverEvent(Object networkInterface,
                                           int status)

  Constructor for the event

  Parameters:
    `networkInterface` - the networkInterface which completed tuning
    `status` - Status code which shows if the tuning action succeeded

Method Detail

### getStatus

    public int getStatus()

  Returns the status code of the tuning action

  Returns:
    status code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD